Skip to main content
POST
/
review-requests
Create a review request
curl --request POST \
  --url https://www.renovationfind.com/rest-api-v1/review-requests \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "John",
  "lastName": "Doe",
  "emailTo": "john@example.com",
  "phone": "5551234567"
}
'
import requests

url = "https://www.renovationfind.com/rest-api-v1/review-requests"

payload = {
"firstName": "John",
"lastName": "Doe",
"emailTo": "john@example.com",
"phone": "5551234567"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Doe',
emailTo: 'john@example.com',
phone: '5551234567'
})
};

fetch('https://www.renovationfind.com/rest-api-v1/review-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Duplicate request detected. Skipped."
}
{
"success": true,
"message": "<string>"
}
{
"success": false,
"error": "<string>"
}
{
"success": false,
"error": "Rate limit exceeded. Maximum 250 requests per 5 minutes. Please retry later."
}

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Query Parameters

skipDuplicates
boolean
default:true

If true, silently skips when a duplicate email/phone already exists for this vendor.

Body

application/json

At least one of emailTo or phone must be provided. Phone numbers are automatically normalized to xxx-xxx-xxxx format.

firstName
string
required

First name of the customer

Example:

"John"

lastName
string
required

Last name of the customer

Example:

"Doe"

emailTo
string<email>

Customer email address. At least one of emailTo or phone is required.

Example:

"john@example.com"

phone
string

Customer phone number. At least one of emailTo or phone is required. Automatically normalized to xxx-xxx-xxxx.

Example:

"5551234567"

Response

Duplicate detected and skipped (when skipDuplicates=true)

success
boolean
Example:

true

message
string